#include <bits/stdc++.h>

using namespace std;

int main()
{
 long long n , A;
scanf("%lld %lld" , &n , &A);
printf("%lld %lld ", A * 3, n);
if(A*3 > n)
    printf("-1");

else
{

    if((n
         - 2*A -2) % 2 == 0)
        {
            printf("%d %d \n", A , 0 );
            printf("%d %d \n", A , 0 );
            printf("%lld %lld \n", (n- 2*A) /2 +1  , (n- 2*A )/2 -1)   ;

        }

    else
        {




        }


}



    return 0;
}